Subject: Re: [patch 5/7] CAN: Add virtual CAN netdevice driver

From: Oliver Hartkopp <[email-masked]>
Date: Mon, 09 Jul 2007 17:27:10 +0200

Patrick McHardy wrote:
> Urs Thuermann wrote:
>   
>> (..) To test the handling of CAN
>> + * interfaces that do not support the loopback both driver types are
>> + * implemented inside this vcan driver.
>> (..)
>>     
>
> Still configuration of the network device based on module parameters.
> What about people that want loopback and non-loopback devices at the
> same time?
>   

Hi Patrick,

the people get the loopback functionality in ANY case. There is indeed
no difference from the view of the users, if you change this switch.

The possibility to enable the loopback on vcan driver level is only to ...

1. Test the loopback fallback code in af_can.c
2. Show, how a correct loopback handling is to be implemented

... nothing more.

Regarding point 1: The code is well tested now.
Regarding point 2: Even if code is the best documentation in many cases,
the loopback functionality may also be 'documented' in another way.

I had a short discussion with Urs about that. Please select:

[ ] Let it like it is
[ ] Remove the whole loopback functionality (as it is only test code for
a different module)
[ ] Remove the module parameter and make it a #define VCAN_LOOPBACK for
testing

:-)

Thanks & best regards,
Oliver